Skip to main content
POST
/
v1
/
entities
Create Entity
curl --request POST \
  --url https://api.waycore.com/v1/entities \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "externalEntityId": "<string>",
  "name": "<string>",
  "metadata": {}
}
'
{
  "entityId": "<string>",
  "externalEntityId": "<string>",
  "isDefaultOrgEntity": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "metadata": {}
}

Authorizations

Authorization
string
header
required

Opaque API key passed as Authorization: Bearer <key>. Keys are organization-bound, environment-bound (live or test), scope-carrying, and expiring. Create and manage keys via the console.

Body

application/json
externalEntityId
string
required

Caller-defined stable identifier for the entity.

Minimum string length: 1
name
string | null

Display name for the entity.

metadata
Metadata · object

Opaque client-defined metadata.

Response

Successful Response

entityId
string
required

Stable, immutable identifier for the entity.

externalEntityId
string
required

Stable external identifier for this entity. Integrator-defined for customer entities and system-defined for the organization-attached entity.

isDefaultOrgEntity
boolean
required

Whether this special entity is the organization-attached entity managed by Waycore. Use it when the integrator and the end business are the same organization.

createdAt
string<date-time>
required

When the entity was created in this API.

updatedAt
string<date-time>
required

When the entity last changed in this API.

name
string | null

Display name for the entity, when available.

metadata
Metadata · object

Opaque client-defined metadata.